From c33a68684cd06424ec78c6983f93336109d91cb5 Mon Sep 17 00:00:00 2001
From: Stefan Kuczera <stefan.ku@yahoo.com>
Date: Sat, 21 Jan 2017 13:20:45 +0100
Subject: [PATCH] Squashed patches

diff --git a/plugins/Make-arch b/plugins/Make-arch
index 19d2b6c..937ad9e 100755
--- a/plugins/Make-arch
+++ b/plugins/Make-arch
@@ -313,7 +313,8 @@ LINUX:
 	"AR = ar" \
 	"NM = nm -p" \
 	"RANLIB = touch" \
-	"SHLD = gcc -shared"
+	"SHLD = gcc -shared" \
+	"SHXXLD = g++ -shared"
 	
 LINUXALPHA:
 	$(MAKE) dynlibs staticlibs bins \
diff --git a/plugins/autopsf/Makefile b/plugins/autopsf/Makefile
index 3b35d10..8e1527e 100644
--- a/plugins/autopsf/Makefile
+++ b/plugins/autopsf/Makefile
@@ -49,8 +49,8 @@ AUTOPSFOBJS=${ARCHDIR}/psfatom.o  \
 
 ${ARCHDIR}/psfcheck.so : ${AUTOPSFOBJS}
 	if [ -n "${TCLSHLD}" ]; \
-	then ${TCLSHLD} $(LOPTO)$@ ${AUTOPSFOBJS} ${TCLLIB} ${TCLLDFLAGS} ${LDFLAGS}; \
-	else ${SHLD} $(LOPTO)$@ ${AUTOPSFOBJS} ${TCLLIB} ${TCLLDFLAGS} ${LDFLAGS}; \
+	then ${TCLSHLD} ${LDFLAGS} $(LOPTO)$@ ${AUTOPSFOBJS} ${TCLLIB} ${TCLLDFLAGS}; \
+	else ${SHXXLD} ${LDFLAGS} $(LOPTO)$@ ${AUTOPSFOBJS} ${TCLLIB} ${TCLLDFLAGS}; \
 	fi
 
 ${ARCHDIR}/psfatom.o : psfatom.h psfatom.C
diff --git a/plugins/catdcd/Makefile b/plugins/catdcd/Makefile
index d6c58c5..1637a3c 100644
--- a/plugins/catdcd/Makefile
+++ b/plugins/catdcd/Makefile
@@ -45,8 +45,8 @@ ${ARCHDIR}/catdcd.exe : ${CATDCDOBJS} ${COMPILEDIR}/lib_${ARCH}/molfile/libmolfi
 	LINK ${CATDCDOBJS} /OUT:${ARCHDIR}/catdcd.exe /LIBPATH:${COMPILEDIR}/lib_${ARCH}/molfile libmolfile_plugin.lib ${TCLLIB} ${TCLLDFLAGS} ${NETCDFLIB} ${NETCDFLDFLAGS} ${EXPATLIB} ${EXPATLDFLAGS} ${SQLITELIB} ${SQLITELDFLAGS}
 
 # all other platforms
-${ARCHDIR}/catdcd : ${CATDCDOBJS} ${COMPILEDIR}/lib_${ARCH}/molfile/libmolfile_plugin.a
-	${CXX} ${CXXFLAGS} ${CATDCDOBJS} -o ${ARCHDIR}/catdcd -L${COMPILEDIR}/lib_${ARCH}/molfile -lmolfile_plugin ${TCLLIB} ${TCLLDFLAGS} ${NETCDFLIB} ${NETCDFLDFLAGS} ${EXPATLIB} ${EXPATLDFLAGS} ${SQLITELIB} ${SQLITELDFLAGS} -lm
+${ARCHDIR}/catdcd : ${CATDCDOBJS} ${COMPILEDIR}/lib_${ARCH}/molfile/libmolfile_plugin.a ${COMPILEDIR}/lib_${ARCH}/molfile/libmolfile_plugin.h
+	${CXX} ${LDFLAGS} ${CXXFLAGS} ${CATDCDOBJS} -o ${ARCHDIR}/catdcd -L${COMPILEDIR}/lib_${ARCH}/molfile -lmolfile_plugin ${TCLLIB} ${TCLLDFLAGS} ${NETCDFLIB} ${NETCDFLDFLAGS} ${EXPATLIB} ${EXPATLDFLAGS} ${SQLITELIB} ${SQLITELDFLAGS} -lm
 
 ${ARCHDIR}/hash.o: hash.h hash.c
 	${CXX} ${CXXFLAGS} ${INCDIR} -c ${SRCDIR}/hash.c $(COPTO)${ARCHDIR}/hash.o
diff --git a/plugins/cionize/Makefile b/plugins/cionize/Makefile
index bcb2510..e02241b 100644
--- a/plugins/cionize/Makefile
+++ b/plugins/cionize/Makefile
@@ -52,8 +52,8 @@ ${ARCHDIR}/cionize.exe : ${IONIZEOBJS} ${MGPOTOBJS} ${ARCHDIR}/cionize.o ${COMPI
 	LINK ${IONIZEOBJS} ${MGPOTOBJS} /OUT:${ARCHDIR}/cionize.exe /LIBPATH:${COMPILEDIR}/lib_${ARCH}/molfile libmolfile_plugin.lib ${TCLLIB} ${TCLLDFLAGS} ${NETCDFLIB} ${NETCDFLDFLAGS} ${EXPATLIB} ${EXPATLDFLAGS} ${SQLITELIB} ${SQLITELDFLAGS}
 
 # all other platforms
-${ARCHDIR}/cionize: ${IONIZEOBJS} ${MGPOTOBJS} ${ARCHDIR}/cionize.o ${COMPILEDIR}/lib_${ARCH}/molfile/libmolfile_plugin.a
-	${CXX} ${CXXFLAGS} ${ARCHDIR}/cionize.o ${IONIZEOBJS} ${MGPOTOBJS} -o ${ARCHDIR}/cionize -L${COMPILEDIR}/lib_${ARCH}/molfile -lmolfile_plugin ${TCLLIB} ${TCLLDFLAGS} ${NETCDFLIB} ${NETCDFLDFLAGS} ${EXPATLIB} ${EXPATLDFLAGS} ${SQLITELIB} ${SQLITELDFLAGS} -lm
+${ARCHDIR}/cionize: ${IONIZEOBJS} ${MGPOTOBJS} ${ARCHDIR}/cionize.o ${COMPILEDIR}/lib_${ARCH}/molfile/libmolfile_plugin.a  ${COMPILEDIR}/lib_${ARCH}/molfile/libmolfile_plugin.h
+	${CXX} ${LDFLAGS} ${CXXFLAGS} ${ARCHDIR}/cionize.o ${IONIZEOBJS} ${MGPOTOBJS} -o ${ARCHDIR}/cionize -L${COMPILEDIR}/lib_${ARCH}/molfile -lmolfile_plugin ${TCLLIB} ${TCLLDFLAGS} ${NETCDFLIB} ${NETCDFLDFLAGS} ${EXPATLIB} ${EXPATLDFLAGS} ${SQLITELIB} ${SQLITELDFLAGS} -lm
 
 ${ARCHDIR}/hash.o: hash.h hash.c
 	${CC}  ${CCFLAGS} ${INCDIR} -c ${SRCDIR}/hash.c $(COPTO)${ARCHDIR}/hash.o
@@ -66,7 +66,7 @@ ${ARCHDIR}/util.o: util.h util.c
 
 ${ARCHDIR}/getplugins.o: getplugins.h getplugins.c
 	${CC}  ${CCFLAGS} ${INCDIR} -c ${SRCDIR}/getplugins.c $(COPTO)${ARCHDIR}/getplugins.o
-	
+
 ${ARCHDIR}/energythr.o: energythr.h energythr.c ${ARCHDIR}/util.o ${ARCHDIR}/threads.o
 	${CC}  ${CCFLAGS} ${INCDIR} -c ${SRCDIR}/energythr.c $(COPTO)${ARCHDIR}/energythr.o
 
diff --git a/plugins/clustalw/Makefile b/plugins/clustalw/Makefile
index 6329f64..3443720 100644
--- a/plugins/clustalw/Makefile
+++ b/plugins/clustalw/Makefile
@@ -66,7 +66,7 @@ OBJS = ${ARCHDIR}/alnscore.o \
 ${ARCHDIR}/clustalw.exe: ${OBJS}
 	LINK ${OBJS} /OUT:${ARCHDIR}/clustalw.exe
 ${ARCHDIR}/clustalw: ${OBJS}
-	${CC} ${CCFLAGS} ${OBJS} -o ${ARCHDIR}/clustalw -lm
+	${CC} ${LDFLAGS} ${CCFLAGS} ${OBJS} -o ${ARCHDIR}/clustalw -lm
     
     
 # Objects.
diff --git a/plugins/cluster/Makefile b/plugins/cluster/Makefile
index 99d347e..c2d30ae 100644
--- a/plugins/cluster/Makefile
+++ b/plugins/cluster/Makefile
@@ -48,7 +48,7 @@ ${ARCHDIR}/cluster.exe : ${OBJS}
 
 # all other platforms
 ${ARCHDIR}/cluster : ${OBJS}
-	${CXX} ${CXXFLAGS} ${OBJS} -o ${ARCHDIR}/cluster -lm
+	${CXX} ${LDFLAGS} ${CXXFLAGS} ${OBJS} -o ${ARCHDIR}/cluster -lm
 
 ${ARCHDIR}/cluster.o: ${SRCDIR}/cluster.c
 	${CXX} ${CXXFLAGS} ${INCDIR} -c ${SRCDIR}/cluster.c $(COPTO)${ARCHDIR}/cluster.o
diff --git a/plugins/hesstrans/Makefile b/plugins/hesstrans/Makefile
index 76ee306..db46b82 100644
--- a/plugins/hesstrans/Makefile
+++ b/plugins/hesstrans/Makefile
@@ -85,7 +85,7 @@ HESSTRANSOBJS=${ARCHDIR}/newmat1.o \
 ${ARCHDIR}/hesstrans.so : ${HESSTRANSOBJS}
 	if [ -n "${TCLSHLD}" ]; \
 	then ${TCLSHLD} $(LOPTO)$@ ${HESSTRANSOBJS} ${TCLLIB} ${TCLLDFLAGS} ${LDFLAGS}; \
-	else ${SHLD} $(LOPTO)$@ ${HESSTRANSOBJS} ${TCLLIB} ${TCLLDFLAGS} ${LDFLAGS}; \
+	else ${SHXXLD} $(LOPTO)$@ ${HESSTRANSOBJS} ${TCLLIB} ${TCLLDFLAGS} ${LDFLAGS}; \
 	fi
 
 
diff --git a/plugins/libbiokit/Makefile b/plugins/libbiokit/Makefile
index 7a66d08..da764dd 100644
--- a/plugins/libbiokit/Makefile
+++ b/plugins/libbiokit/Makefile
@@ -98,7 +98,7 @@ OBJS = ${DYNLIBOBJS} \
 ${ARCHDIR}/tcl_libbiokit.so : ${ARCHDIR}/tcl_libbiokit_wrap.o ${ARCHDIR}/tcl_libbiokit.o ${DYNLIBOBJS}
 	if [ -n "${TCLSHLD}" ]; \
 	then ${TCLSHLD} $(LOPTO)$@ ${ARCHDIR}/tcl_libbiokit_wrap.o ${ARCHDIR}/tcl_libbiokit.o ${DYNLIBOBJS} ${TCLLIB} ${TCLLDFLAGS} ${LDFLAGS}; \
-	else ${SHLD} $(LOPTO)$@ ${ARCHDIR}/tcl_libbiokit_wrap.o ${ARCHDIR}/tcl_libbiokit.o ${DYNLIBOBJS} ${TCLLIB} ${TCLLDFLAGS} ${LDFLAGS}; \
+	else ${SHXXLD} $(LOPTO)$@ ${ARCHDIR}/tcl_libbiokit_wrap.o ${ARCHDIR}/tcl_libbiokit.o ${DYNLIBOBJS} ${TCLLIB} ${TCLLDFLAGS} ${LDFLAGS}; \
 	fi
 ${ARCHDIR}/tcl_libbiokit_wrap.o : ${INTERFACESRCDIR}/tcl_libbiokit_wrap.cpp
 	${CXX} ${CXXFLAGS} ${TCLINC} ${INCDIR} -c ${INTERFACESRCDIR}/tcl_libbiokit_wrap.cpp $(COPTO)${ARCHDIR}/tcl_libbiokit_wrap.o
@@ -111,7 +111,7 @@ ${INTERFACESRCDIR}/tcl_libbiokit_wrap.cpp : ${INTERFACESRCDIR}/tcl_libbiokit.i
 ${ARCHDIR}/percid.exe: ${ARCHDIR}/percid.o ${OBJS}
 	LINK ${ARCHDIR}/percid.o ${OBJS} /OUT:${ARCHDIR}/percid.exe
 ${ARCHDIR}/percid: ${ARCHDIR}/percid.o ${OBJS}
-	${CXX} ${CXXFLAGS} ${ARCHDIR}/percid.o ${OBJS} -o ${ARCHDIR}/percid -lm
+	${CXX} ${LDFLAGS} ${CXXFLAGS} ${ARCHDIR}/percid.o ${OBJS} -o ${ARCHDIR}/percid -lm
 ${ARCHDIR}/percid.o: ${UTILSRCDIR}/percid.cpp
 	${CXX} ${CXXFLAGS} ${INCDIR} -c ${UTILSRCDIR}/percid.cpp $(COPTO)${ARCHDIR}/percid.o
 
@@ -119,7 +119,7 @@ ${ARCHDIR}/percid.o: ${UTILSRCDIR}/percid.cpp
 ${ARCHDIR}/qpair.exe: ${ARCHDIR}/qPair.o ${OBJS}
 	LINK ${ARCHDIR}/qPair.o ${OBJS} /OUT:${ARCHDIR}/qpair.exe
 ${ARCHDIR}/qpair: ${ARCHDIR}/qPair.o ${OBJS}
-	${CXX} ${CXXFLAGS} ${ARCHDIR}/qPair.o ${OBJS} -o ${ARCHDIR}/qpair -lm
+	${CXX} ${LDFLAGS} ${CXXFLAGS} ${ARCHDIR}/qPair.o ${OBJS} -o ${ARCHDIR}/qpair -lm
 ${ARCHDIR}/qPair.o: ${UTILSRCDIR}/qPair.cpp
 	${CXX} ${CXXFLAGS} ${INCDIR} -c ${UTILSRCDIR}/qPair.cpp $(COPTO)${ARCHDIR}/qPair.o
 
@@ -127,7 +127,7 @@ ${ARCHDIR}/qPair.o: ${UTILSRCDIR}/qPair.cpp
 ${ARCHDIR}/rmsd.exe: ${ARCHDIR}/rmsd.o ${OBJS}
 	LINK ${ARCHDIR}/rmsd.o ${OBJS} /OUT:${ARCHDIR}/rmsd.exe
 ${ARCHDIR}/rmsd: ${ARCHDIR}/rmsd.o ${OBJS}
-	${CXX} ${CXXFLAGS} ${ARCHDIR}/rmsd.o ${OBJS} -o ${ARCHDIR}/rmsd -lm
+	${CXX} ${LDFLAGS} ${CXXFLAGS} ${ARCHDIR}/rmsd.o ${OBJS} -o ${ARCHDIR}/rmsd -lm
 ${ARCHDIR}/rmsd.o: ${UTILSRCDIR}/rmsd.cpp
 	${CXX} ${CXXFLAGS} ${INCDIR} -c ${UTILSRCDIR}/rmsd.cpp $(COPTO)${ARCHDIR}/rmsd.o
 
@@ -135,7 +135,7 @@ ${ARCHDIR}/rmsd.o: ${UTILSRCDIR}/rmsd.cpp
 ${ARCHDIR}/q.exe: ${ARCHDIR}/Q.o ${OBJS}
 	LINK ${ARCHDIR}/Q.o ${OBJS} /OUT:${ARCHDIR}/q.exe
 ${ARCHDIR}/q: ${ARCHDIR}/Q.o ${OBJS}
-	${CXX} ${CXXFLAGS} ${ARCHDIR}/Q.o ${OBJS} -o ${ARCHDIR}/q -lm
+	${CXX} ${LDFLAGS} ${CXXFLAGS} ${ARCHDIR}/Q.o ${OBJS} -o ${ARCHDIR}/q -lm
 ${ARCHDIR}/Q.o: ${UTILSRCDIR}/Q.cpp
 	${CXX} ${CXXFLAGS} ${INCDIR} -c ${UTILSRCDIR}/Q.cpp $(COPTO)${ARCHDIR}/Q.o
 
@@ -143,7 +143,7 @@ ${ARCHDIR}/Q.o: ${UTILSRCDIR}/Q.cpp
 ${ARCHDIR}/seqqr.exe: ${ARCHDIR}/seqqr.o ${OBJS}
 	LINK ${ARCHDIR}/seqqr.o ${OBJS} /OUT:${ARCHDIR}/seqqr.exe
 ${ARCHDIR}/seqqr: ${ARCHDIR}/seqqr.o ${OBJS}
-	${CXX} ${CXXFLAGS} ${ARCHDIR}/seqqr.o ${OBJS} -o ${ARCHDIR}/seqqr -lm
+	${CXX} ${LDFLAGS} ${CXXFLAGS} ${ARCHDIR}/seqqr.o ${OBJS} -o ${ARCHDIR}/seqqr -lm
 ${ARCHDIR}/seqqr.o: ${UTILSRCDIR}/seqqr.cpp
 	${CXX} ${CXXFLAGS} ${INCDIR} -c ${UTILSRCDIR}/seqqr.cpp $(COPTO)${ARCHDIR}/seqqr.o
 
@@ -151,7 +151,7 @@ ${ARCHDIR}/seqqr.o: ${UTILSRCDIR}/seqqr.cpp
 ${ARCHDIR}/structqr.exe : ${ARCHDIR}/structqr.o ${OBJS}
 	LINK ${ARCHDIR}/structqr.o ${OBJS} /OUT:${ARCHDIR}/structqr.exe
 ${ARCHDIR}/structqr: ${ARCHDIR}/structqr.o ${OBJS}
-	${CXX} ${CXXFLAGS} ${ARCHDIR}/structqr.o ${OBJS} -o ${ARCHDIR}/structqr -lm
+	${CXX} ${LDFLAGS} ${CXXFLAGS} ${ARCHDIR}/structqr.o ${OBJS} -o ${ARCHDIR}/structqr -lm
 ${ARCHDIR}/structqr.o: ${UTILSRCDIR}/structqr.cpp
 	${CXX} ${CXXFLAGS} ${INCDIR} -c ${UTILSRCDIR}/structqr.cpp $(COPTO)${ARCHDIR}/structqr.o
     
diff --git a/plugins/molfile_plugin/Makefile b/plugins/molfile_plugin/Makefile
index 4c47615..1c77ddf 100644
--- a/plugins/molfile_plugin/Makefile
+++ b/plugins/molfile_plugin/Makefile
@@ -15,7 +15,7 @@
 VPATH = src ../include ${ARCHDIR}
 
 SCCFLAGS = $(CCFLAGS) $(DEF)"STATIC_PLUGIN"
-SCXXFLAGS = $(CCFLAGS) $(DEF)"STATIC_PLUGIN"
+SCXXFLAGS = $(CXXFLAGS) $(DEF)"STATIC_PLUGIN"
 
 #
 # Rules
@@ -206,209 +206,209 @@
 #
 
 abinitplugin.so: ${ARCHDIR}/abinitplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 amiraplugin.so: ${ARCHDIR}/amiraplugin.o 
 	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 avsplugin.so: ${ARCHDIR}/avsplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 babelplugin.so: ${ARCHDIR}/babelplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 basissetplugin.so: ${ARCHDIR}/basissetplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 bgfplugin.so: ${ARCHDIR}/bgfplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 binposplugin.so: ${ARCHDIR}/binposplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 biomoccaplugin.so: ${ARCHDIR}/biomoccaplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 brixplugin.so: ${ARCHDIR}/brixplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 carplugin.so: ${ARCHDIR}/carplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 ccp4plugin.so: ${ARCHDIR}/ccp4plugin.o
 	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 corplugin.so: ${ARCHDIR}/corplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 cpmdplugin.so: ${ARCHDIR}/cpmdplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 crdplugin.so: ${ARCHDIR}/crdplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 cubeplugin.so: ${ARCHDIR}/cubeplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 dcdplugin.so: ${ARCHDIR}/dcdplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 dlpolyplugin.so: ${ARCHDIR}/dlpolyplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 dsn6plugin.so: ${ARCHDIR}/dsn6plugin.o
 	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 dxplugin.so: ${ARCHDIR}/dxplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 edmplugin.so: ${ARCHDIR}/edmplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 fs4plugin.so: ${ARCHDIR}/fs4plugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 gamessplugin.so: ${ARCHDIR}/gamessplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 graspplugin.so: ${ARCHDIR}/graspplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 grdplugin.so: ${ARCHDIR}/grdplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 gridplugin.so: ${ARCHDIR}/gridplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 gromacsplugin.so: ${ARCHDIR}/gromacsplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 jsplugin.so: ${ARCHDIR}/jsplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 lammpsplugin.so: ${ARCHDIR}/lammpsplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 mapplugin.so: ${ARCHDIR}/mapplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 mdfplugin.so: ${ARCHDIR}/mdfplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 mol2plugin.so: ${ARCHDIR}/mol2plugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 moldenplugin.so: ${ARCHDIR}/moldenplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 molemeshplugin.so: ${ARCHDIR}/molemeshplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 msmsplugin.so: ${ARCHDIR}/msmsplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 namdbinplugin.so: ${ARCHDIR}/namdbinplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 offplugin.so: ${ARCHDIR}/offplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 orcaplugin.so: ${ARCHDIR}/orcaplugin.o
 	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 parm7plugin.so: ${ARCHDIR}/parm7plugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 parmplugin.so: ${ARCHDIR}/parmplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 pbeqplugin.so: ${ARCHDIR}/pbeqplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 pdbplugin.so: ${ARCHDIR}/pdbplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 pdbxplugin.so: ${ARCHDIR}/pdbxplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 phiplugin.so: ${ARCHDIR}/phiplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 pltplugin.so: ${ARCHDIR}/pltplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 plyplugin.so: ${ARCHDIR}/plyplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 pqrplugin.so: ${ARCHDIR}/pqrplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 psfplugin.so: ${ARCHDIR}/psfplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 raster3dplugin.so: ${ARCHDIR}/raster3dplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 rst7plugin.so: ${ARCHDIR}/rst7plugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 situsplugin.so: ${ARCHDIR}/situsplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 spiderplugin.so: ${ARCHDIR}/spiderplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 stlplugin.so: ${ARCHDIR}/stlplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 tinkerplugin.so: ${ARCHDIR}/tinkerplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 uhbdplugin.so: ${ARCHDIR}/uhbdplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 vaspchgcarplugin.so: ${ARCHDIR}/vaspchgcarplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 vaspoutcarplugin.so: ${ARCHDIR}/vaspoutcarplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 vaspparchgplugin.so: ${ARCHDIR}/vaspparchgplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 vaspposcarplugin.so: ${ARCHDIR}/vaspposcarplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 vasp5xdatcarplugin.so: ${ARCHDIR}/vasp5xdatcarplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 vaspxdatcarplugin.so: ${ARCHDIR}/vaspxdatcarplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 vaspxmlplugin.so: ${ARCHDIR}/vaspxmlplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 vtkplugin.so: ${ARCHDIR}/vtkplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 xbgfplugin.so: ${ARCHDIR}/xbgfplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 xsfplugin.so: ${ARCHDIR}/xsfplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 xyzplugin.so: ${ARCHDIR}/xyzplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 
 ##
 ## In-development plugins that aren't part of the build quite yet...
 ##
 cpmdlogplugin.so: ${ARCHDIR}/cpmdlogplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 gaussianplugin.so: ${ARCHDIR}/gaussianplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 
 ##
@@ -416,31 +416,31 @@
 ## dependencies of some kind
 ##
 dmsplugin.so: ${ARCHDIR}/dmsplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(SQLITELIB) $(SQLITELDFLAGS) $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(SQLITELIB) $(SQLITELDFLAGS) $(LDFLAGS)
 
 dtrplugin.so: ${ARCHDIR}/dtrplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 hoomdplugin.so: ${ARCHDIR}/hoomdplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(EXPATLIB) $(EXPATLDFLAGS) $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(EXPATLIB) $(EXPATLDFLAGS) $(LDFLAGS)
 
 lmplugin.so: ${ARCHDIR}/lmplugin.o
 	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(HDFLIB) $(HDFLDFLAGS) $(LDFLAGS)
 
 maeffplugin.so: ${ARCHDIR}/maeffplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(LDFLAGS)
 
 netcdfplugin.so: ${ARCHDIR}/netcdfplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(NETCDFLIB) $(NETCDFLDFLAGS) $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(NETCDFLIB) $(NETCDFLDFLAGS) $(LDFLAGS)
 
 tngplugin.so: ${ARCHDIR}/tngplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(TNGLIB) $(TNGLDFLAGS) $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(TNGLIB) $(TNGLDFLAGS) $(LDFLAGS)
 
 vtfplugin.so: ${ARCHDIR}/vtfplugin.o
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(TCLLIB) $(TCLLDFLAGS) $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(TCLLIB) $(TCLLDFLAGS) $(LDFLAGS)
 
 webpdbplugin.so: ${ARCHDIR}/webpdbplugin.o 
-	$(SHLD) $(LOPTO)${ARCHDIR}/$@ $? $(TCLLIB) $(TCLLDFLAGS) $(LDFLAGS)
+	$(SHXXLD) $(LOPTO)${ARCHDIR}/$@ $? $(TCLLIB) $(TCLLDFLAGS) $(LDFLAGS)
 
 
 #
diff --git a/plugins/phylotree/Makefile b/plugins/phylotree/Makefile
index 6442747..0aceb4d 100644
--- a/plugins/phylotree/Makefile
+++ b/plugins/phylotree/Makefile
@@ -54,7 +54,7 @@ ${ARCHDIR}/upgmaclu.exe : ${OBJS}
 
 # all other platforms
 ${ARCHDIR}/upgmaclu : ${OBJS}
-	${CXX} ${CXXFLAGS} ${OBJS} -o ${ARCHDIR}/upgmaclu -lm
+	${CXX} ${LDFLAGS} ${CXXFLAGS} ${OBJS} -o ${ARCHDIR}/upgmaclu -lm
 
 ${ARCHDIR}/upgmaclu.o: ${SRCDIR}/upgmaclu.c
 	${CXX} ${CXXFLAGS} ${INCDIR} -c ${SRCDIR}/upgmaclu.c $(COPTO)${ARCHDIR}/upgmaclu.o
diff --git a/plugins/rnaview/Makefile b/plugins/rnaview/Makefile
index 16f070a..da71248 100644
--- a/plugins/rnaview/Makefile
+++ b/plugins/rnaview/Makefile
@@ -67,7 +67,7 @@ OBJS = ${ARCHDIR}/analyze.o \
 ${ARCHDIR}/rnaview.exe: ${OBJS}
 	LINK ${OBJS} /OUT:${ARCHDIR}/rnaview.exe
 ${ARCHDIR}/rnaview: ${OBJS}
-	${CC} ${CCFLAGS} ${OBJS} -o ${ARCHDIR}/rnaview -lm
+	${CC} ${LDFLAGS} ${CCFLAGS} ${OBJS} -o ${ARCHDIR}/rnaview -lm
 
 ${ARCHDIR}/analyze.o: ${SRCDIR}/analyze.c
 	${CC} ${CCFLAGS} ${INCDIR} -c ${SRCDIR}/analyze.c $(COPTO)${ARCHDIR}/analyze.o
diff --git a/plugins/stamp/Makefile b/plugins/stamp/Makefile
index f0fb515..aa8f6b6 100644
--- a/plugins/stamp/Makefile
+++ b/plugins/stamp/Makefile
@@ -101,7 +101,7 @@ OBJS = ${ARCHDIR}/a3to1.o \
 ${ARCHDIR}/stamp.exe: ${OBJS}
 	LINK ${OBJS} /OUT:${ARCHDIR}/stamp.exe
 ${ARCHDIR}/stamp: ${OBJS}
-	${CC} ${CCFLAGS} ${OBJS} -o ${ARCHDIR}/stamp -lm
+	${CC} ${LDFLAGS} ${CCFLAGS} ${OBJS} -o ${ARCHDIR}/stamp -lm
     
     
 # Objects.
-- 
2.5.5

